commit a41439a06901dfff7c01d2455cb881ff939b57b5
Author: liuhongt <hongtao.liu@intel.com>
Date:   Fri Aug 28 15:01:18 2020 +0800

    Fix: AVX512VP2INTERSECT should imply AVX512DQ.
    
    gcc/ChangeLog
    
            * common/config/i386/i386-common.c (ix86_handle_option): Set
            AVX512DQ when AVX512VP2INTERSECT exists.

diff --git a/gcc/common/config/i386/i386-common.c b/gcc/common/config/i386/i386-common.c
index 02b19f1bb54..8e4cd64542d 100644
--- a/gcc/common/config/i386/i386-common.c
+++ b/gcc/common/config/i386/i386-common.c
@@ -889,8 +889,8 @@ ix86_handle_option (struct gcc_options *opts,
 	  opts->x_ix86_isa_flags2 |= OPTION_MASK_ISA2_AVX512VP2INTERSECT_SET;
 	  opts->x_ix86_isa_flags2_explicit |=
 	    OPTION_MASK_ISA2_AVX512VP2INTERSECT_SET;
-	  opts->x_ix86_isa_flags |= OPTION_MASK_ISA_AVX512F_SET;
-	  opts->x_ix86_isa_flags_explicit |= OPTION_MASK_ISA_AVX512F_SET;
+	  opts->x_ix86_isa_flags |= OPTION_MASK_ISA_AVX512DQ_SET;
+	  opts->x_ix86_isa_flags_explicit |= OPTION_MASK_ISA_AVX512DQ_SET;
 	}
       else
 	{

